﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;

namespace Formula
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();

            //Add new worksheet to workbook.
            Wbook.Worksheets.Add("Sheet1");

            //Set width of columns.
            Wbook.Worksheets[0].Columns[0].Width = 200;
            Wbook.Worksheets[0].Columns[1].Width = 15;
            Wbook.Worksheets[0].Columns[2].Width = 90;

            //Column headings.
            Wbook.Worksheets[0].Cells[0, 0].Value = "Formula";
            Wbook.Worksheets[0].Cells[0, 2].Value = "Result";

            //Writes formulas.
            Wbook.Worksheets[0].Cells[1, 0].Value = "7+3=";
            Wbook.Worksheets[0].Cells[1, 2].Value = "=7+3";
            Wbook.Worksheets[0].Cells[2, 0].Value = "(2*2^2)%=";
            Wbook.Worksheets[0].Cells[2, 2].Value = "=(2*2^2)%";
            Wbook.Worksheets[0].Cells[3, 0].Value = "SUM(SIN(3);TAN(4);LOG(5;5))=";
            Wbook.Worksheets[0].Cells[3, 2].Value = "=SUM(SIN(3);TAN(3);LOG(5;5))";
            Wbook.Worksheets[0].Cells[4, 0].Value = "CEILING(12.35;0.1)=";
            Wbook.Worksheets[0].Cells[4, 2].Value = "=CEILING(12.35;0.1)";
            Wbook.Worksheets[0].Cells[5, 0].Value = "PI()=";
            Wbook.Worksheets[0].Cells[5, 2].Value = "=PI()";
            Wbook.Worksheets[0].Cells[6, 0].Value = "TODAY()=";
            Wbook.Worksheets[0].Cells[6, 2].Value = "=TODAY()";
            Wbook.Worksheets[0].Cells[6, 2].Style.StringFormat = "MMM-DD-YYYY";
            Wbook.Worksheets[0].Cells[7, 0].Value = "TRUE()=";
            Wbook.Worksheets[0].Cells[7, 2].Value = "=TRUE()";

            // XSL
            Wbook.WriteXLS(@"..\..\..\ExcelFormula.xls");

            // XSLX
            Wbook.WriteXLSX(@"..\..\..\ExcelFormula.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\ExcelFormula.xlsx");

        }
    }
}
