﻿using System;
using System.Collections.Generic;
using System.Text;
using Docs.Excel;

namespace HeaderFooter
{
    class Program
    {
        static void Main(string[] args)
        {
            //Create a new workbook.
            ExcelWorkbook Wbook = new ExcelWorkbook();

            //Add new worksheet to workbook.
            Wbook.Worksheets.Add("Sheet1");

            Wbook.Worksheets[0].Cells[0, 0].Value = "Sample";
            Wbook.Worksheets[0].Cells[0, 10].Value = "Sample";
            Wbook.Worksheets[0].Cells[0, 20].Value = "Sample";

            Wbook.Worksheets[0].Header.IsDifferentOddEven = true;
            Wbook.Worksheets[0].Header.IsDifferentFirst = true;

            Wbook.Worksheets[0].Header.FirstPageString = "&L&F - &A&R&D&T";
            Wbook.Worksheets[0].Header.DefaultString = "&L&A";
            Wbook.Worksheets[0].Header.EvenPageString = "&R&A";
            
            Wbook.Worksheets[0].Footer.FirstPageString = "&C&P/&N";
            Wbook.Worksheets[0].Footer.DefaultString = "&L&P/&N";
            Wbook.Worksheets[0].Footer.EvenPageString = "&R&P/&N";

            // XSL
            Wbook.WriteXLS(@"..\..\..\ExcelHeaderFooter.xls");

            // XSLX
            Wbook.WriteXLSX(@"..\..\..\ExcelHeaderFooter.xlsx");

            //Open specified file in MS Excel.
            System.Diagnostics.Process.Start(@"..\..\..\ExcelHeaderFooter.xlsx");
        }
    }
}
