﻿Imports Docs.Excel

Module Module1

    Sub Main()
        ' Read template excel file.
        Dim workbook As ExcelWorkbook = ExcelWorkbook.ReadXLSX("..\..\..\PageBreakExcel.xlsx")

        ' Set horizontal and vertical page breaks.
        workbook.Worksheets(0).HorizontalPageBreaks.Add(3)
        workbook.Worksheets(0).HorizontalPageBreaks.Add(5)
        workbook.Worksheets(0).VerticalPageBreaks.Add(3)
        workbook.Worksheets(0).VerticalPageBreaks.Add(5)

        ' Save excel xls file.
        workbook.WriteXLS("..\..\..\excelfile.xls")

        ' Save excel xlsx file.
        workbook.WriteXLSX("..\..\..\excelfile.xlsx")

        ' Open specified file in MS Excel.
        System.Diagnostics.Process.Start("..\..\..\excelfile.xlsx")

    End Sub

End Module
